.tg.dropdown
	float: right
	position: relative

.tg.dropdown_toggle
	cursor: pointer

	&.-nav
		+icon('angle-down', true, true)

		+respond-to(medium)
			+heading(2)
			+icon(false)
			cursor: default
			margin: 0 0 0 ($grid / 2)

			+hover
				background: none

	&.-settings
		@extend %button
		+modify-button(pale, small)
		+icon('cog')

	&.-download
		@extend %button
		+modify-button(small)
		+icon('download')

.tg.dropdown_menu
	+transition(top, opacity, z-index)
	background: $popup-bg-color
	border-radius: $br
	box-shadow: $drop-shadow
	float: left
	font-size: $font-size
	list-style: none
	margin: ($grid / 4) 0
	min-width: 100%
	opacity: 0
	padding: 0
	position: absolute
	top: 110%
	white-space: nowrap
	z-index: -1

	// Top wedge
	&:before
		border: ($grid / 2) solid transparent
		border-bottom-color: $popup-bg-color
		content: ''
		display: block
		height: 0px
		left: $grid
		pointer-events: none // Won't work on older browsers
		position: absolute
		top: (-$grid)
		width: 0px
		z-index: 999

	&.-open
		opacity: 1
		top: 100%
		z-index: 1000

	&.-centered
		right: -100%

		&:before
			left: 50%
			margin-left: (-$grid / 2)

	li
		float: none

		+ li
			border-top: $border-width solid $border-color
			margin-top: (-$border-width)

		> a
			border: 0
			display: block
			min-width: ($grid * 2)
			padding: ($grid / 2)

			+hover
				background: $pale-color-light

		&.-current > a
			background: $pale-color
			color: $text-color

	&.-nav
		+respond-to(medium)
			background: none
			border-radius: 0
			box-shadow: none
			display: block
			float: none
			margin: 0
			opacity: 1
			padding-left: $grid
			position: relative
			top: 0
			white-space: normal
			z-index: 1000

			&:before
				display: none // Remove top wedge

			&.-open
				top: 0

.tg.dropdown_submenu
	margin-left: $grid

.tg.dropdown_heading
	display: block
	padding: ($grid / 4) ($grid / 2)
